$primary-nav-min-width: $sizing-breakpoint-s;
$secondary-nav-min-width: $sizing-breakpoint-xl;

.header {
  padding: 0 1rem;
  padding-top: 2rem;

  @media (max-width: $sizing-breakpoint-xxl) {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
}

.headerDark {
}

.headerLight {
  background: $color-bg-5;
}

.headerBar {
  position: relative;
  z-index: 2;
  padding: 0 2rem;

  @media (max-width: $sizing-breakpoint-xxl) {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
  }
}

.flexBox {
  overflow: hidden;
}

%cell {
  display: flex;
  height: 5rem;
  white-space: nowrap;
}

.branding {
  @extend %cell;
  flex: 0;
  width: auto;
  margin-right: 2rem;

  @media (max-width: $sizing-breakpoint-xxl) {
    margin-right: 1.5rem;
  }
}

.logoLink {
  display: flex;
}

.logoImage {
  width: 10rem;
}

.primaryNav {
  @extend %cell;
  flex: 1;
  justify-content: center;

  @media (max-width: $primary-nav-min-width) {
    display: none;
  }
}

.secondaryNav {
  @extend %cell;
  flex: 0;
  justify-content: flex-end;

  @media (max-width: $secondary-nav-min-width) {
    display: none;
  }
}

.link {
  margin: auto 1rem;
  font-weight: bold;
  font-size: 110%;

  @media (max-width: $sizing-breakpoint-xxxl) {
    font-size: 100%;
  }

  @media (max-width: $sizing-breakpoint-xxl) {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
  }
}

.linkDark {
  color: $color-font-4;
}

.linkLight {
  color: $color-font-2;
}

.joinBtn {
  @extend %btn;
  @extend .link;
  @extend %anchor;
  margin-left: 0.75em;

  span {
    vertical-align: initial;
  }

  a {
    border-bottom-color: transparent !important;
  }

  @media (max-width: $sizing-breakpoint-xxl) {
    padding-left: 0.75rem;
    padding-right: 0.75rem;
  }
}

.joinBtnDark {
  color: $color-font-4;
}

.joinBtnLight {
  color: $color-font-1;
}

.subMenuLink {
  height: 7rem;
}

.subMenuColumn {
  padding: 0 1rem;

  &:first-child {
    padding-left: 0;
  }

  &:last-child {
    padding-right: 0;
  }
}

.burgerMenuContainer {
  display: none;
  flex: none;
  margin-left: 1.5rem;
  margin-right: 0.25rem;

  @media (max-width: $secondary-nav-min-width) {
    display: flex;
  }

  @media (max-width: $primary-nav-min-width) {
    flex: 1;
  }
}

%burgerMenuBtn {
  margin: auto;
  cursor: pointer;

  @media (max-width: $primary-nav-min-width) {
    margin-right: 0;
  }

  &:hover {
    opacity: 0.8;
  }

  svg {
    width: 1.75rem;
    margin: auto;
  }
}

.burgerMenuBtnDark {
  @extend %burgerMenuBtn;
  color: $color-font-4;
}

.burgerMenuBtnLight {
  @extend %burgerMenuBtn;
  color: $color-font-2;
}

.mobileMenu {
  display: none;
  padding-bottom: 1rem;
}

.mobileMenuVisible {
  display: block;
}

%navMobile {
  display: none;
  flex-direction: column;

  :global div {
    margin: auto;
    padding: 1rem 0;
  }
}

.primaryNavMobile {
  @extend %navMobile;

  @media (max-width: $primary-nav-min-width) {
    display: flex;
  }
}

.secondaryNavMobile {
  @extend %navMobile;

  @media (max-width: $secondary-nav-min-width) {
    display: flex;
  }

  :global div:last-child {
    margin-top: 1rem;
  }
}
